Bug 1312940 - [abrt] WARNING: CPU: 2 PID: 2024 at drivers/gpu/drm/drm_irq.c:628 drm_calc_timestamping_constants+0x15d/0x170 [drm]() [drm]
[abrt] WARNING: CPU: 2 PID: 2024 at drivers/gpu/drm/drm_irq.c:628 drm_calc_ti...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:962cdbba91300c7716284ce580e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 10:06 EST by David Mansfield
Modified: 2016-12-20 14:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (45.53 KB, text/plain)
2016-02-29 10:06 EST, David Mansfield
no flags Details

  None (edit)
Description David Mansfield 2016-02-29 10:06:29 EST
Description of problem:
Reboot a VM after updating to 4.4 kernel and logging into graphical desktop.

Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 2 PID: 2024 at drivers/gpu/drm/drm_irq.c:628 drm_calc_timestamping_constants+0x15d/0x170 [drm]()
Modules linked in: nls_utf8 isofs fuse uinput rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_filter ebtable_nat ebtable_broute bridge stp llc ebtables ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security binfmt_misc ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq crct10dif_pclmul snd_seq_device crc32_pclmul crc32c_intel snd_pcm snd_timer parport_pc joydev snd parport virtio_balloon soundcore acpi_cpufreq tpm_tis i2c_piix4 tpm nfsd nfs_acl lockd auth_rpcgss grace
 sunrpc virtio_console virtio_blk virtio_net ata_generic qxl drm_kms_helper ttm drm serio_raw pata_acpi virtio_pci virtio_ring virtio
CPU: 2 PID: 2024 Comm: Xorg Not tainted 4.4.2-301.fc23.x86_64 #1
Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
 0000000000000000 00000000f7898d02 ffff88052674f998 ffffffff813b0c9f
 0000000000000000 ffff88052674f9d0 ffffffff810a2f12 ffff880524ab7c00
 ffff880524b8a000 ffff880524b8a348 0000000000000001 ffff880524ab7d60
Call Trace:
 [<ffffffff813b0c9f>] dump_stack+0x44/0x55
 [<ffffffff810a2f12>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a305a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa007e24d>] drm_calc_timestamping_constants+0x15d/0x170 [drm]
 [<ffffffffa01049d3>] drm_crtc_helper_set_mode+0x403/0x4d0 [drm_kms_helper]
 [<ffffffffa0105987>] drm_crtc_helper_set_config+0xa47/0xba0 [drm_kms_helper]
 [<ffffffffa00879a2>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa008bd22>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
 [<ffffffffa007d602>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa008b950>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff8133baac>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff8123e7f8>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81146d2b>] ? __audit_syscall_entry+0xab/0xf0
 [<ffffffff81333323>] ? security_file_ioctl+0x43/0x60
 [<ffffffff8123ea59>] SyS_ioctl+0x79/0x90
 [<ffffffff8179996e>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 1 David Mansfield 2016-02-29 10:06:38 EST
Created attachment 1131574 [details]
File: dmesg
Comment 3 Josh Boyer 2016-02-29 15:01:45 EST
(In reply to David Mansfield from comment #2)
> Maybe see this fix?  
> 
> https://kernel.googlesource.com/pub/scm/linux/kernel/git/mkp/scsi/+/
> 0c545ac4815657e0b062344c690ea35a11eeaec8

That fix is already in the kernel you reported the problem with.
Comment 4 Laura Abbott 2016-09-23 15:56:37 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 5 David Mansfield 2016-10-10 09:16:21 EDT
This still happens on almost every reboot:

[   90.104554] WARNING: CPU: 1 PID: 1792 at drivers/gpu/drm/drm_irq.c:684 drm_calc_timestamping_constants+0x15e/0x170 [drm]
[   90.104556] Modules linked in: nls_utf8 isofs fuse uinput rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables binfmt_misc dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c ppdev crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm joydev virtio_balloon
[   90.104597]  snd_timer i2c_piix4 acpi_cpufreq snd parport_pc tpm_tis parport soundcore tpm nfsd nfs_acl lockd auth_rpcgss grace sunrpc virtio_net virtio_console virtio_blk crc32c_intel qxl drm_kms_helper ttm drm serio_raw virtio_pci virtio_ring virtio ata_generic pata_acpi
[   90.104617] CPU: 1 PID: 1792 Comm: Xorg Not tainted 4.7.5-200.fc24.x86_64 #1
[   90.104619] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[   90.104621]  0000000000000286 0000000029c486fd ffff880337253940 ffffffffa63daaaf
[   90.104625]  0000000000000000 0000000000000000 ffff880337253980 ffffffffa60a0b0b
[   90.104627]  000002ac37253978 ffff8805245d5800 ffff8805245d2800 ffff8805245d2ba0
[   90.104631] Call Trace:
[   90.104637]  [<ffffffffa63daaaf>] dump_stack+0x63/0x84
[   90.104641]  [<ffffffffa60a0b0b>] __warn+0xcb/0xf0
[   90.104645]  [<ffffffffa60a0c3d>] warn_slowpath_null+0x1d/0x20
[   90.104656]  [<ffffffffc00c346e>] drm_calc_timestamping_constants+0x15e/0x170 [drm]
[   90.104666]  [<ffffffffc0140d3a>] drm_crtc_helper_set_mode+0x48a/0x550 [drm_kms_helper]
[   90.104674]  [<ffffffffc0141a50>] drm_crtc_helper_set_config+0xa10/0xb80 [drm_kms_helper]
[   90.104689]  [<ffffffffc00cc7f5>] drm_mode_set_config_internal+0x65/0x110 [drm]
[   90.104703]  [<ffffffffc00d108b>] drm_mode_setcrtc+0x47b/0x580 [drm]
[   90.104829]  [<ffffffffc00c2812>] drm_ioctl+0x152/0x540 [drm]
[   90.104844]  [<ffffffffc00d0c10>] ? drm_mode_setplane+0x1d0/0x1d0 [drm]
[   90.104850]  [<ffffffffa625b4b2>] do_vfs_ioctl+0xa2/0x5d0
[   90.104853]  [<ffffffffa66b1180>] ? __sys_recvmsg+0x80/0x90
[   90.104856]  [<ffffffffa625ba59>] SyS_ioctl+0x79/0x90
[   90.104860]  [<ffffffffa67ec572>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[   90.104863] ---[ end trace 84ec9438718c9b5a ]---
Comment 6 David Mansfield 2016-10-10 09:17:15 EDT
I should mention as well, current kernel is now 4.7.5-200.fc24.x86_64
Comment 7 Fedora End Of Life 2016-11-24 10:50:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 14:07:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.